# Get Payout Details Return an aggregated breakdown of the money movements included in the payout along with details of the disbursement itself. Endpoint: GET /transactions/payouts/{payoutId} Version: 3.0 Security: Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT ## Path parameters: - `payoutId` (string, required) ## Response 200 fields (application/json): - `summary` (object, required) Basic summary of the payout, as you would get when querying payouts. - `summary.payoutId` (string, required) System unique identifier for the payout. - `summary.referencePayoutId` (string) Identifier for payout that merchants can use. - `summary.currency` (string, required) The currency of the payout as a 3 letter ISO code. - `summary.settlementDate` (string) The date the payout was settlement with the merchant. - `summary.merchantId` (string, required) System unique identifier for the merchant issued the payout. - `summary.merchantBusinessName` (string, required) Business name for the merchant issued the payout. - `summary.amount` (integer, required) The amount credited towards the payout in minor currency units - `summary.openingBalance` (integer, required) The opening balance of the merchant account before the payout was settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance from a previous payout. - `summary.closingBalance` (integer, required) The closing balance of the merchant account after payout has settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance. - `summary.totalAmount` (integer, required) The amount paid out or the closing balance if the merchant account has a negative balance in minor currency units. - `summary.status` (string, required) Status of the invoice. Enum: "created", "pending", "paid", "in_transit", "canceled", "failed", "reversed", "suspended" - `summary.bankAccountNumber` (string) The bank account number the payout was sent to. - `summary.paymentChannel` (string) The payment channel to use for the payout. Enum: "direct_entry", "npp" - `summary.statementDescriptor` (string) Information about the payout that will appear on the customer's bank statement. - `summary.createdAt` (string, required) When the payout was created. - `summaryLineItems` (array) A summary of the contents of the payout, including the number of transactions, refunds, and other items that make up the total amount. - `summaryLineItems.entryType` (string, required) Enum: "Payment", "Surcharge", "Refund", "PaymentFee", "TransactionTransfer", "PaymentFeeReversal", "TransactionTransferReversal", "TransactionTransferFeeReversal", "Payout", "PayoutReversal", "Dispute", "DisputeFee", "DisputeReversed", "DisputeFeeReversed", "MarketplaceFeePayment", "ManualTopUp", "ManualTopUpReversal", "PayoutFee" - `summaryLineItems.count` (integer) - `summaryLineItems.totalAmount` (integer, required) - `accountDetails` (object) Bank account details for where the payout was sent. - `accountDetails.accountId` (string, required) System unique identifier for a bank account - `accountDetails.accountName` (string, required) Name of the person or business that holds the account - `accountDetails.bankName` (string) Name of financial institution where the account is held. - `accountDetails.identifier` (any, required) - `accountDetails.currency` (string, required) 3 letter ISO code indicating the currency of the bank account. - `accountDetails.country` (string, required) 2 letter ISO code indicating the country where the bank account is held. ## Response 400 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 401 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 403 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 404 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 405 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 406 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 409 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 422 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 429 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 500 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 503 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata